/**
 * 
 */
package com.mobiperf_library.api;

import java.util.Map;

import com.mobiperf_library.CallbackResult;

/**
 * @author Hongyi Yao
 *
 */
public class TaskParams {
  public final static int DNSLookup = 1;
  public final static int HTTP = 2;
  public final static int Ping = 3;
  public final static int TCPThroughput = 4;
  public final static int Traceroute = 5;
  public final static int UDPBurst = 6;
  
  int taskType;
  Map<String, String> params; 
  CallbackResult handler;
  public TaskParams(
      int taskType, Map<String, String> params, CallbackResult handler) {
    this.taskType = taskType;
    this.params = params;
    this.handler = handler;
  }
}
